Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 653971 - Reviews Request: openfetion - A Fetion client written using GTK2+
Summary: Reviews Request: openfetion - A Fetion client written using GTK2+
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 666190
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-11-16 14:51 UTC by Liang Suilong
Modified: 2013-02-19 10:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 10:47:42 UTC


Attachments (Terms of Use)

Description Liang Suilong 2010-11-16 14:51:49 UTC
SRPM: http://liangsuilong.fedorapeople.org/openfetion-2.0.2-2.fc13.src.rpm
SPEC: http://liangsuilong.fedorapeople.org/openfetion.spec
Description:
Openfetion is a Fetion client written using GTK2+, based on Fetion v4 protocol.

Koji Result:
F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2604205
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2604091

On koji, it is built for F-14 target. But for Rawhide target, It does not work. I guess there is some problem of dbus-glib for Rawhide branch.

Comment 1 Michael Schwendt 2010-11-21 19:34:08 UTC
A brief look at the spec file told me the following:


> Summary:		A Fetion client written using GTK2+

> %description
> Openfetion is a Fetion client written using GTK2+,
> based on Fetion v4 protocol.

Both %summary and %description could try to explain what "Fetion" is. For example:

  Summary: GTK2+ based client for the Fetion instant messaging protocol

And %description should expand on that. Just repeating a "Name" isn't helpful.


> %setup -q -n %{name}-%{version}

Option  -n %{name}-%{version}  is the default.


> %files -f %{name}.lang
> %defattr(-,root,root,-)
[...]
%{_datadir}/%{name}/resource/newmessage.wav
%{_datadir}/%{name}/skin/*
[...]
%{_datadir}/%{name}/resource/license.txt

Several directories are not included in the package correctly:

  %{_datadir}/%{name}/
  %{_datadir}/%{name}/resource/
  %{_datadir}/%{name}/skin/

http://fedoraproject.org/wiki/Packaging:UnownedDirectories

As a directory added to a  %files  section will be included recursively, you may need to include directories only with the  %dir  attribute.


> %files -n %{libname}
> %defattr(-,root,root,-)
> %{_datadir}/%{name}/resource/city.xml
> %{_datadir}/%{name}/resource/province.xml

Same here. Plus, you need to decide on directory ownership between this %libname package and the main %name package.

> %{_libdir}/libofetion.so*

This is wrong. Only the *.so.* files belong into the %libname package. The *.so symlink belongs into the -devel package.

Comment 2 Miroslav Suchý 2012-12-16 12:45:49 UTC
Ping? Any progress here? Or we can close this review?

Comment 3 Miroslav Suchý 2013-02-19 10:47:42 UTC
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue in this review, please reopen or
submit new review.


Note You need to log in before you can comment on or make changes to this bug.